Page MenuHomePhabricator

decom netmon1003
Closed, ResolvedPublic

Description

netmon1003 is a jessie ganeti VM dedicated to servermon.

servermon is being decom'ed in the parent task.

Related Objects

Event Timeline

Dzahn created this task.Apr 8 2019, 9:58 AM

Change 502177 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] cache::text: remove netmon1003 backend

https://gerrit.wikimedia.org/r/502177

Change 502178 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: decom netmon1003

https://gerrit.wikimedia.org/r/502178

fgiunchedi triaged this task as Normal priority.Apr 9 2019, 8:37 AM
Dzahn changed the task status from Open to Stalled.Jul 9 2019, 8:01 PM

stalled. waiting for a confirmation that servermon the service can be retired (T198939#5104657)

Change 502178 merged by Dzahn:
[operations/puppet@production] install_server: decom netmon1003

https://gerrit.wikimedia.org/r/502178

Change 502177 merged by Dzahn:
[operations/puppet@production] traffic servers: remove netmon1003 director and backend

https://gerrit.wikimedia.org/r/502177

Dzahn changed the task status from Stalled to Open.Jul 12 2019, 11:31 PM
Dzahn claimed this task.

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: netmon1003.wikimedia.org

  • netmon1003.wikimedia.org
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • No management interface found (likely a VM)
    • Removed from DebMonitor

Mentioned in SAL (#wikimedia-operations) [2019-07-16T16:55:47Z] <mutante> netmon1003: shutdown -h now | ganeti1001: gnt-instance shutdown netmon1003.wikmedia.org - removed from icinga T198939 T220355

Mentioned in SAL (#wikimedia-operations) [2019-07-16T20:26:22Z] <mutante> ganeti1001 - gnt-instance remove netmon1003.wikimedia.org (T220355)

Change 523800 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] remove netmon1003.wikimedia.org

https://gerrit.wikimedia.org/r/523800

Change 523800 merged by Dzahn:
[operations/dns@master] remove netmon1003.wikimedia.org

https://gerrit.wikimedia.org/r/523800

Dzahn closed this task as Resolved.Jul 16 2019, 8:33 PM
  • decom cookbook has been executed
  • VM has been shutdown and destroyed
  • removed from DNS
  • removed from install_server/DHCP